X2Go Bug report logs - #221
Make hard-coded path /usr/lib/x2go build-configurable via Makefile

Package: src:x2gobroker; Maintainer for src:x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Mukesh Singh <mks32@hotmail.com>

Date: Wed, 22 May 2013 16:33:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#219; Package x2goserverversion: 4.0.0.2. (Wed, 22 May 2013 16:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mukesh Singh <mks32@hotmail.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Wed, 22 May 2013 16:33:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mukesh Singh <mks32@hotmail.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: x2gosqlitewrapper is looking for x2gosqlitewrapper.pl in /usr/local/lib/x2go directory
Date: Wed, 22 May 2013 12:20:50 -0400
[Message part 1 (text/plain, inline)]
Package: x2goserverVersion: 4.0.0.2
I recently upgraded x2goserver to 4.0.0.2 on RHEL6 and it stopped working. I found out that x2gosqlitewrapper is looking for x2gosqlitewrapper.pl in /usr/local/lib/x2go directory. So when I created a symlink in that directory it started working again.
Please change the path for the file in source code or change the package to create the link on installation.

Thanks!
Mukesh Kr 

 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#219; Package x2goserverversion: 4.0.0.2. (Wed, 22 May 2013 22:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Wed, 22 May 2013 22:33:01 GMT) Full text and rfc822 format available.

Message #10 received at 219@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 219@bugs.x2go.org
Cc: Mukesh Singh <mks32@hotmail.com>, jengelh@inai.de
Subject: Re: Bug#219: x2gosqlitewrapper is looking for x2gosqlitewrapper.pl in /usr/local/lib/x2go directory
Date: Thu, 23 May 2013 00:20:16 +0200
[Message part 1 (text/plain, inline)]
Hi Mukesh Kr, hi Jan,

@Jan: I guess this one is for you...

On Mi 22 Mai 2013 18:20:50 CEST Mukesh Singh wrote:

> Package: x2goserverVersion: 4.0.0.2
> I recently upgraded x2goserver to 4.0.0.2 on RHEL6 and it stopped  
> working. I found out that x2gosqlitewrapper is looking for  
> x2gosqlitewrapper.pl in /usr/local/lib/x2go directory. So when I  
> created a symlink in that directory it started working again.
> Please change the path for the file in source code or change the  
> package to create the link on installation.

For the Debian packages, there is a Makefile-like file called  
/debian/rules that coordinates all the packaging tasks. From this  
file, I explicitly have to export PREFIX=/usr to make the new  
x2gosqlitewrapper.c work.

@Jan: can you check the RPM packages and make sure that the PREFIX  
path reaches the main Makefile of X2Go Server? A similar change to the  
packaging has to be introduced to x2gobroker.git.

Thanks!
Mike




-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#219; Package x2goserverversion: 4.0.0.2. (Wed, 22 May 2013 23:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Wed, 22 May 2013 23:33:01 GMT) Full text and rfc822 format available.

Message #15 received at 219@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 219@bugs.x2go.org, Mukesh Singh <mks32@hotmail.com>
Subject: Re: Bug#219: x2gosqlitewrapper is looking for x2gosqlitewrapper.pl in /usr/local/lib/x2go directory
Date: Thu, 23 May 2013 01:16:48 +0200 (CEST)
On Thursday 2013-05-23 00:20, Mike Gabriel wrote:
>
>> Package: x2goserverVersion: 4.0.0.2
>> I recently upgraded x2goserver to 4.0.0.2 on RHEL6 and it stopped working. I
>> found out that x2gosqlitewrapper is looking for x2gosqlitewrapper.pl in
>> /usr/local/lib/x2go directory. So when I created a symlink in that directory
>> it started working again.
>> Please change the path for the file in source code or change the package to
>> create the link on installation.
>
> @Jan: can you check the RPM packages and make sure that the PREFIX path reaches
> the main Makefile of X2Go Server? A similar change to the packaging has to be
> introduced to x2gobroker.git.

Fixed for x2goserver.

In x2gobroker however, there are still lots of hardcoded (in the
tarball!) /usr/lib/x2go instead of $(LIBDIR)/x2go...


Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#219; Package x2goserverversion: 4.0.0.2. (Thu, 23 May 2013 19:21:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Thu, 23 May 2013 19:21:59 GMT) Full text and rfc822 format available.

Message #20 received at 219@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jan Engelhardt <jengelh@inai.de>, 219@bugs.x2go.org
Cc: Mukesh Singh <mks32@hotmail.com>, control@bugs.x2go.org
Subject: Re: Bug#219: x2gosqlitewrapper is looking for x2gosqlitewrapper.pl in /usr/local/lib/x2go directory
Date: Thu, 23 May 2013 21:21:34 +0200
[Message part 1 (text/plain, inline)]
clone #219 -1 -2
reassign #219 x2goserver
severity #219 important
fixed #219 4.0.0.2
close #219
reassign -1 x2gobroker-agent
retitle -1 Explicitly export PREFIX=/usr when building RPM packages
severity -1 important
reassign -2 src:x2gobroker
retitle -2 Make hard-coded path /usr/lib/x2go build-configurable via Makefile
severity -2 wishlist
thanks

Hi Jan,

doint some BTS magic above...

On Do 23 Mai 2013 01:16:48 CEST Jan Engelhardt wrote:

>> @Jan: can you check the RPM packages and make sure that the PREFIX  
>> path reaches
>> the main Makefile of X2Go Server? A similar change to the packaging  
>> has to be
>> introduced to x2gobroker.git.
>
> Fixed for x2goserver.

This issue (#219, x2goserver) then gets marked as resolved.

> In x2gobroker however, there are still lots of hardcoded (in the
> tarball!) /usr/lib/x2go instead of $(LIBDIR)/x2go...

This I consider as a follow-up. New bug numbers will get assigned for  
this in two ways.

Temp bug number -1 (wait for the bug no. after the cloning has  
happened) will be about fixing the RPM build for x2gobroker(-agent).  
Please make sure that agent works in RPM builds of src:x2gobroker.

If you have fixed this issue send a short message to  
<nnn>-done@bugs.x2go.org (where <nnn>) has to be the  
to-be-newly-assigned bug number after the cloning).

Temp bug number -2 refers to getting the Makefile and the hard-coded  
paths referers to /usr/lib/x2go (et al.) fixed in the more less near  
future.

Thanks+Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug 219 cloned as bugs 220, 221 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 23 May 2013 19:22:00 GMT) Full text and rfc822 format available.

Bug reassigned from package 'x2goserverversion: 4.0.0.2' to 'src:x2gobroker'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 23 May 2013 19:22:00 GMT) Full text and rfc822 format available.

Changed Bug title to 'Make hard-coded path /usr/lib/x2go build-configurable via Makefile' from 'x2gosqlitewrapper is looking for x2gosqlitewrapper.pl in /usr/local/lib/x2go directory' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 23 May 2013 19:22:00 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 23 May 2013 19:22:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 06:10:05 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.